org.apache.cassandra.streaming.messages

## Class IncomingFileMessage

- java.lang.Object
- - org.apache.cassandra.streaming.messages.StreamMessage
  - - org.apache.cassandra.streaming.messages.IncomingFileMessage

    public class IncomingFileMessage
    extends StreamMessage

IncomingFileMessage is used to receive the part(or whole) of a SSTable data file.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`StreamMessage.Serializer<V extends StreamMessage>, StreamMessage.Type`

### Field Summary

Fields
`FileMessageHeader` `header`
`static StreamMessage.Serializer<IncomingFileMessage>` `serializer`
`SSTableWriter` `sstable`

### Fields inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`CURRENT_VERSION, type, VERSION_20, VERSION_22`

### Constructor Summary

Constructors
Constructor and Description
`IncomingFileMessage(SSTableWriter sstable, FileMessageHeader header)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`deserialize, getPriority, serialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static StreamMessage.Serializer<IncomingFileMessage> serializer

#### header

    public FileMessageHeader header

#### sstable

    public SSTableWriter sstable

### Constructor Detail

#### IncomingFileMessage

    public IncomingFileMessage(SSTableWriter sstable,
                               FileMessageHeader header)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`